﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;
using Syncfusion.RangeNavigator.XForms;
using System.Collections.ObjectModel;
using Syncfusion.SfChart.XForms;
using System.Globalization;

namespace GettingStartedRangeNavigator
{
	public partial class RangeNavigatorDemo : ContentPage
	{
		public RangeNavigatorDemo ()
		{
            InitializeComponent();
        }
    }

	public class DataModel
	{
        public ObservableCollection<Model> DateTimeData { get; set; }

		public DataModel()
		{
			DateTimeData = new ObservableCollection<Model>
			{
				new Model (new DateTime(2015, 01, 1), 14),
				new Model (new DateTime(2015, 02, 1), 54),
				new Model (new DateTime(2015, 03, 1), 23),
				new Model (new DateTime(2015, 04, 1), 53),
				new Model (new DateTime(2015, 05, 1), 25),
				new Model (new DateTime(2015, 06, 1), 32),
				new Model (new DateTime(2015, 07, 1), 78),
				new Model (new DateTime(2015, 08, 1), 100),
				new Model (new DateTime(2015, 09, 1), 55),
				new Model (new DateTime(2015, 10, 1), 38),
				new Model (new DateTime(2015, 11, 1), 27),
				new Model (new DateTime(2015, 12, 1), 56),
                new Model (new DateTime(2016, 1, 1), 33)
			};
		}
	}

	public class Model
	{

		public DateTime Date { get; set; }

		public double Value { get; set; }

		public Model(DateTime dateTime, double value)
		{
			Date = dateTime;
			Value = value;
		}
	}
}

